Create an endpoint
POST
/v1/webhook-endpoints
const url = 'https://api.fromenance.com/v1/webhook-endpoints';const options = { method: 'POST', headers: { cookie: 'fromenance.session_token=<fromenance.session_token>', 'Content-Type': 'application/json' }, body: '{"url":"https://example.com","events":["verdict.created"],"description":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.fromenance.com/v1/webhook-endpoints \ --header 'Content-Type: application/json' \ --cookie fromenance.session_token=<fromenance.session_token> \ --data '{ "url": "https://example.com", "events": [ "verdict.created" ], "description": "example" }'Deliveries are signed with HMAC-SHA256 over timestamp.body using the returned secret (shown once), sent as X-Fromenance-Signature: v1=
Authorizations
Section titled “Authorizations”Request Body
Section titled “Request Body”Media typeapplication/json
object
url
required
string format: uri
events
Array<string>
description
string
Responses
Section titled “ Responses ”Endpoint with secret
Media typeapplication/json
object
id
required
string
url
required
string
events
required
Array<string>
status
required
string
description
required
string | null
last_delivery_at
required
string | null
last_status
required
integer | null
created_at
required
string
secret
required
string
Examplegenerated
{ "id": "example", "url": "example", "events": [ "example" ], "status": "example", "description": "example", "last_delivery_at": "example", "last_status": 1, "created_at": "example", "secret": "example"}